# 成交统计

`GET` `/v1/quote/trades-statistics`

获取指定证券的成交统计数据，展示成交量的价格分布。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 证券代码，例如 `700.HK` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/trades-statistics?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `trades` | object[] | No | 按价位的成交分布， |
| `└ price` | string | No | 价位 |
| `└ buy_amount` | string | No | 该价位买入成交额 |
| `└ sell_amount` | string | No | 该价位卖出成交额 |
| `└ neutral_amount` | string | No | 该价位中性成交额 |
| `statistics` | object | No | 成交统计汇总 |
| `└ avgprice` | string | No | 平均价。 |
| `└ trades_count` | string | No | 成交笔数。 |
| `└ total_amount` | string | No | 总成交额。 |
| `└ buy` | string | No | 净买入经纪商列表， |
| `└ sell` | string | No | 净卖出经纪商列表， |
| `└ neutral` | string | No | 中性值/数量。 |
| `└ timestamp` | string | No | 异动时间（Unix 秒，字符串格式） |
| `└ preclose` | string | No | 前收盘价。 |
| `└ trade_date` | array | No | 下一次预计交易日期（YYYY-MM-DD） |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "statistics": {
      "avgprice": "210.50",
      "buy": "45000000",
      "sell": "38000000",
      "neutral": "12000000",
      "total_amount": "95000000",
      "trades_count": "125000",
      "preclose": "208.20",
      "timestamp": "1778198400",
      "trade_date": [
        "2026-05-13"
      ]
    },
    "trades": [
      {
        "price": "210.00",
        "buy_amount": "5000000",
        "sell_amount": "4000000",
        "neutral_amount": "1000000"
      }
    ]
  }
}
```
